Bug 58724 - install failures on MIATA and AS500 and AS800
Summary: install failures on MIATA and AS500 and AS800
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: Beth Uptagrafft
QA Contact: Beth Uptagrafft
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-23 19:36 UTC by harry.heinisch
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-30 21:09:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description harry.heinisch 2002-01-23 19:36:19 UTC
Description of Problem: installs fail with kernel panic on certain machines
when equipped with QLogic SCSI controller and harddisk and CD share same bus


Version-Release number of selected component (if applicable):


How Reproducible: always


Steps to Reproduce:
1. 
2. 
3. 

Actual Results: installs fail with kernel panic


Expected Results: install should succeed :-)


Additional Information: (JAE) this is a known problem with the latest
version of the QLogic driver, as it appears in the 2.4.x kernels.
it does not deal well with fast and slow devices on the same SCSI
bus, such as harddisks with CDROM, even with decent termination.

a better driver exists as patches to the 2.4.x kernels, and can be
found at www.feral.com. it is known to solve this problem, as I have
replaced the QLogic driver in the 2.4.3-12BOOT kernel with the www.feral.com
one, and reburned RH 7.1 CDs and done flawless installs on the problematic
machines.

I do not know if replacing the stock QLogic driver is an option at this
stage of testing. if there were any way to make it an optional driver,
say make both the stock QLogic driver and the www.feral.com one as modules,
that would solve the problem, allowing folks to choose which one to try.

Comment 1 Beth Uptagrafft 2002-02-04 20:06:23 UTC
These systems are outside the scope of the contract and will be marked CLOSED - 
WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.